link.hpp File Reference
`#include "./fwd.hpp"`
`#include "./internal/export.hpp"`
`#include "./endpoint.hpp"`
`#include "./internal/object.hpp"`
`#include <string>`
Include dependency graph for link.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | link
| A named channel for sending or receiving messages. More...

## Namespaces

| proton
| The main Proton namespace.

## Detailed Description

A named channel for sending or receiving messages.